Bug 1464075 - [osp11][minor update]wrong command to cleaning directory in update doc for osp11
[osp11][minor update]wrong command to cleaning directory in update doc for o...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
11.0 (Ocata)
x86_64 Linux
low Severity low
: ga
: 11.0 (Ocata)
Assigned To: Dan Macpherson
RHOS Documentation Team
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 07:43 EDT by Artem Hrechanychenko
Modified: 2017-10-19 18:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-04 08:54:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artem Hrechanychenko 2017-06-22 07:43:55 EDT
Description of problem:
https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/11/html/upgrading_red_hat_openstack_platform/chap-director-minor-update#sect-Updating_Director_Packages

step 2.2

2.2. Updating the Overcloud Images

$ rm -rf ~/images/*

[stack@undercloud-0 ~]$  cd ~/images
-bash: cd: /home/stack/images: No such file or directory

so need to clean directory, not remove directory itself


Version-Release number of selected component (if applicable):
osp11

How reproducible:
alway

Steps to Reproduce:
1.install osp11
2.upgrade undercloud 
https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/11/html/upgrading_red_hat_openstack_platform/chap-director-minor-update#sect-Updating_Director_Packages
3.execute step 2.2

Actual results:
directory exist

Expected results:
directory doesn't exist
-bash: cd: /home/stack/images: No such file or directory


Additional info:
Comment 1 Dan Macpherson 2017-06-22 23:04:08 EDT
This directory should exist from the initial installation:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/11/html/director_installation_and_usage/chap-installing_the_undercloud#sect-Creating_Directories_for_Templates_and_Images

The main point is to remove the existing image file extracted from the tar file. If you've used a different location during your installation, you need to use that directory instead.

Artem, will be closing this as NOTABUG unless you had any additional info.
Comment 2 Artem Hrechanychenko 2017-10-19 18:45:52 EDT
Agree!

Note You need to log in before you can comment on or make changes to this bug.